- Home
- API Enriched
- Sites
- register
- Set site state.
Set site state.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/register/namespaces/example/site/example/state';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","namespace":"example","state":"ONLINE"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/register/namespaces/example/site/example/state \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "namespace": "example", "state": "ONLINE" }'Request changing site state but this request goes through validation as some trainsitions are not allowed. It can be used to decomission site by sending state DECOMISSIONING. Example of forbidden state is PROVISIONING and UPGRADING.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required Site namespace.
Name
x-required Site name.
Request Bodyrequired
Section titled “Request Bodyrequired”Set status of the site.
object
Site name Required: YES.
Site namespace Required: YES.
Responses
Section titled “Responses”A successful response.
Response for set state request, empty because the only resturned information is currently error message.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example